## image-bootstrap-2.0.3.tar.gz

=== Makefile ===
# -*- makefile -*-
# Copyright (C) 2015 Sebastian Pipping <sebastian@pipping.org>
# Licensed under AGPL v3 or later

PREFIX = /usr/local
DESTDIR = /

PYTHON = python

all:

check:
	py.test --doctest-modules

compile:
	$(PYTHON) -m compileall directory_bootstrap image_bootstrap

deb:
	debuild -uc -us --lintian-opts --display-info
	$(RM) -R build

dist:
	$(RM) MANIFEST
	./setup.py sdist

install:
	./setup.py install --prefix "$(PREFIX)" --root "$(DESTDIR)"

isort:
	find -type f -name  '*.py' -print0 \
			| xargs --null isort \
				--project directory_bootstrap \
				--project image_bootstrap \
				--section-default THIRDPARTY \
				-m 4 --indent '        ' \
				--atomic

mrproper:
	git clean -d -f -x

.PHONY: all check compile deb dist install isort mrproper

=== debian/changelog ===
image-bootstrap (0.9.2.1) unstable; urgency=low

  * Initial Release (with help from stdeb and dh_make).

 -- Sebastian Pipping <sebastian@pipping.org>  Tue, 10 Jan 2017 21:16:45 +0100

=== debian/control ===
Source: image-bootstrap
Section: admin
Priority: extra
Maintainer: Sebastian Pipping <sebastian@pipping.org>
Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: https://github.com/hartwork/image-bootstrap

Package: image-bootstrap
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-colorama, python-bs4, python-requests, python-pkg-resources,
 python-lxml, python-yaml,
 debootstrap | cdebootstrap | cdebootstrap-static,
 debian-archive-keyring, ubuntu-keyring | ubuntu-archive-keyring, gnupg,
 extlinux, mbr,
 grub-pc | grub-coreboot | grub-efi-amd64 | grub-efi-ia32 | grub-ieee1275 | grub-yeeloong,
 kpartx,
 parted
Description: Command line tool for creating bootable virtual machine images
 Started as a replacement to grml-debootstrap.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Copyright (C) 2015 Sebastian Pipping <sebastian@pipping.org>
# Licensed under AGPL v3 or later

export DH_VERBOSE=0

%:
	dh $@ --with python3 --buildsystem=python_distutils
